clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::Sema::NameClassification Class Reference

`#include "clang/Sema/Sema.h"`

## Public Member Functions
| NameClassification (ExprResult Expr)
| NameClassification (ParsedType Type)
| NameClassification (const IdentifierInfo *Keyword)
NameClassificationKind | getKind () const
ParsedType | getType () const
ExprResult | getExpression () const
TemplateName | getTemplateName () const
TemplateNameKind | getTemplateNameKind () const

## Static Public Member Functions
static NameClassification | Error ()
static NameClassification | Unknown ()
static NameClassification | NestedNameSpecifier ()
static NameClassification | TypeTemplate (TemplateName Name)
static NameClassification | VarTemplate (TemplateName Name)
static NameClassification | FunctionTemplate (TemplateName Name)

## Detailed Description

Definition at line 1763 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ NameClassification() [1/3]

clang::Sema::NameClassification::NameClassification | ( | ExprResult | Expr | ) |
| inline

Definition at line 1772 of file Sema.h.

## ◆ NameClassification() [2/3]

clang::Sema::NameClassification::NameClassification | ( | ParsedType | Type | ) |
| inline

Definition at line 1774 of file Sema.h.

## ◆ NameClassification() [3/3]

clang::Sema::NameClassification::NameClassification | ( | const IdentifierInfo * | Keyword | ) |
| inline

Definition at line 1776 of file Sema.h.

## Member Function Documentation

## ◆ Error()

static NameClassification clang::Sema::NameClassification::Error | ( |  | ) |
| inline static

Definition at line 1778 of file Sema.h.

## ◆ FunctionTemplate()

static NameClassification clang::Sema::NameClassification::FunctionTemplate | ( | TemplateName | Name | ) |
| inline static

Definition at line 1802 of file Sema.h.

## ◆ getExpression()

ExprResult clang::Sema::NameClassification::getExpression | ( |  | ) | const
| inline

Definition at line 1815 of file Sema.h.

## ◆ getKind()

NameClassificationKind clang::Sema::NameClassification::getKind | ( |  | ) | const
| inline

Definition at line 1808 of file Sema.h.

## ◆ getTemplateName()

TemplateName clang::Sema::NameClassification::getTemplateName | ( |  | ) | const
| inline

Definition at line 1820 of file Sema.h.

## ◆ getTemplateNameKind()

TemplateNameKind clang::Sema::NameClassification::getTemplateNameKind | ( |  | ) | const
| inline

Definition at line 1826 of file Sema.h.

References clang::TNK_Function_template, clang::TNK_Type_template, and clang::TNK_Var_template.

## ◆ getType()

ParsedType clang::Sema::NameClassification::getType | ( |  | ) | const
| inline

Definition at line 1810 of file Sema.h.

## ◆ NestedNameSpecifier()

static NameClassification clang::Sema::NameClassification::NestedNameSpecifier | ( |  | ) |
| inline static

Definition at line 1786 of file Sema.h.

## ◆ TypeTemplate()

static NameClassification clang::Sema::NameClassification::TypeTemplate | ( | TemplateName | Name | ) |
| inline static

Definition at line 1790 of file Sema.h.

## ◆ Unknown()

static NameClassification clang::Sema::NameClassification::Unknown | ( |  | ) |
| inline static

Definition at line 1782 of file Sema.h.

## ◆ VarTemplate()

static NameClassification clang::Sema::NameClassification::VarTemplate | ( | TemplateName | Name | ) |
| inline static

Definition at line 1796 of file Sema.h.

The documentation for this class was generated from the following file:

- include/clang/Sema/Sema.h